package remote.demo.Native;

public class NativeBaseObject extends NativeObject{

	protected NativeBaseObject() {
		super();
	}
	
	@Override
	protected void nativeRelease() {
	}

	protected VideoArrivedEventListener     mVideoArrivedEventListener;

	
	
	/**
	 * @name Events
	 */

	/**
	 * Occurs when receive a video frame.
	 */
	public interface VideoArrivedEventListener {	
		void onVideoArrived(int channel, long pts);
	}

	protected void addVideoArrivedEventListener(VideoArrivedEventListener l) {}
	
	public void setVideoArrivedEventListener(VideoArrivedEventListener l) {

		mVideoArrivedEventListener = l;
		addVideoArrivedEventListener(l);
	}

}
